Bug 250677 - Desktop effects sometimes has screen corruption coming out of suspend
Desktop effects sometimes has screen corruption coming out of suspend
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
9
All Linux
low Severity medium
: ---
: ---
Assigned To: Dave Airlie
: Reopened
: 210602 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-02 16:34 EDT by David Campbell
Modified: 2009-03-05 15:09 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-09 05:46:22 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screen shot illustrating the screen corruption (919.24 KB, image/png)
2007-08-02 16:34 EDT, David Campbell
no flags Details
the xorg.conf file - which is completely default (1.11 KB, text/plain)
2007-08-02 16:36 EDT, David Campbell
no flags Details
the Xorg.0.log file (51.05 KB, text/plain)
2007-08-02 16:37 EDT, David Campbell
no flags Details
the /var/log/messages (985.38 KB, text/plain)
2007-08-02 16:41 EDT, David Campbell
no flags Details
Corrupt window decorations. (190.85 KB, image/png)
2007-08-06 18:18 EDT, Richard Guest
no flags Details
Xorg.0.log (50.66 KB, text/plain)
2007-10-13 01:31 EDT, David Campbell
no flags Details
Image illustrating screen corruption still present in f8 (710.38 KB, image/png)
2007-11-15 18:21 EST, David Campbell
no flags Details
Screenshot of corruption in F9 (290.19 KB, image/png)
2008-11-26 15:16 EST, Richard Guest
no flags Details

  None (edit)
Description David Campbell 2007-08-02 16:34:48 EDT
Description of problem:

Desktop effects sometimes has screen corruption coming out of suspend.

I will attach an image that illustrates what I mean.


Version-Release number of selected component (if applicable):

Full 2.6.22.1-41.fc7, all packages up to date as of date of this report.

How reproducible:

Sometimes, not always.  Happens to me sometimes when I suspend at night and then
the next morning turn on.

Steps to Reproduce:
1. Have desktop effects turned on
2. Suspend
3. Restart
  
Actual results:

Sometimes gives results as in the attached picture

Expected results:

Shouldn't show screen corruption
Comment 1 David Campbell 2007-08-02 16:34:50 EDT
Created attachment 160543 [details]
screen shot illustrating the screen corruption
Comment 2 David Campbell 2007-08-02 16:36:17 EDT
Created attachment 160544 [details]
the xorg.conf file - which is completely default
Comment 3 David Campbell 2007-08-02 16:37:14 EDT
Created attachment 160545 [details]
the Xorg.0.log file
Comment 4 David Campbell 2007-08-02 16:41:55 EDT
Created attachment 160546 [details]
the /var/log/messages
Comment 5 Richard Guest 2007-08-06 18:15:48 EDT
I have the same problem on my Dell Latitude D610, with ATI Mobility Radeon X300.
The bug is 100% repeatable: all window decorations are corrupted when coming out
of suspend. My solution is to force them to repaint using Alt+Tab or
Ctrl+Alt+Left or some other keystroke that triggers beryl.
I can attach confs and logs if needed.
Comment 6 Richard Guest 2007-08-06 18:18:20 EDT
Created attachment 160775 [details]
Corrupt window decorations.

Screen shot taken after resuming from suspend, before any interaction with
beryl.
Comment 7 Matěj Cepl 2007-10-05 18:14:25 EDT

*** This bug has been marked as a duplicate of 210602 ***
Comment 8 Matěj Cepl 2007-10-12 06:07:38 EDT
Per https://bugzilla.redhat.com/show_bug.cgi?id=210602#c12 reopening this bug.
David, bug 210602 was against Rawhide. Could you please upgrade both your
/etc/X11/xorg.conf and /var/log/Xorg.0.log with Rawhide computer? Also could you
try please to run X without any /etc/X11/xorg.conf whatsoever? What happens then?
Comment 9 Matěj Cepl 2007-10-12 06:10:06 EDT
*** Bug 210602 has been marked as a duplicate of this bug. ***
Comment 10 David Campbell 2007-10-13 01:31:51 EDT
Created attachment 226301 [details]
Xorg.0.log

I don't have rawhide running here as from what I understand it isn't
necessarily stable, and my computer requires stability as I do my work on it.

But with kernel 2.6.22.9-91.fc I still see graphical corruption when running X
without any /etc/X11/xorg.conf and I have updated the attached Xorg.0.log with
that log.

I also see https://bugzilla.redhat.com/show_bug.cgi?id=250683 on suspend which
is a real pain because every time I come out of suspend I have to unplug and
re-plug my external keyboard for either keyboard to work.
Comment 11 Matěj Cepl 2007-10-15 10:44:48 EDT
OK, we will stay with F7.
Comment 12 David Campbell 2007-11-14 06:07:21 EST
This problem still apparent in f8, kernel 2.6.23.1-49.fc8
Comment 13 Richard Guest 2007-11-15 17:53:23 EST
Fixed for me.
F8, kernel-2.6.23.1-49.fc8, compiz-0.6.2-3.fc8.
Running compiz-manager --replace & emerald --replace &
Comment 14 David Campbell 2007-11-15 18:21:35 EST
Created attachment 260561 [details]
Image illustrating screen corruption still present in f8

I'm running identical software versions as Richard Guest above and the
corruptions still occur when coming out of suspend.  Image attached.
Comment 15 Samuel Sieb 2008-04-25 12:37:23 EDT
I see this as well in current F8:
kernel-2.6.24.4-64.fc8
compiz-0.6.2-3.fc8
xorg-x11-drv-ati-6.8.0-4.fc8

The borders and effect areas (like shadows) are always somewhat or a lot
corrupted when returning from suspend or hibernate.
Comment 16 Bug Zapper 2008-11-26 02:37:51 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 17 Richard Guest 2008-11-26 15:15:11 EST
I don't know about you guys, but I'm seeing this again in F9...

compiz-0.7.6-3.fc9.1
emerald-0.7.6-1.fc9
kernel-2.6.27.5-41.fc9
xorg-x11-drv-ati-6.8.0-19.fc9

Will attach screenshot...
Comment 18 Richard Guest 2008-11-26 15:16:56 EST
Created attachment 324792 [details]
Screenshot of corruption in F9

I still get this after resuming from suspend in F9.
Comment 19 François Cami 2009-02-07 10:33:20 EST
David, Richard,
Could you test current F10 without any xorg.conf and report ?
If you can reproduce the bug in current F10 :
* please try using  nomodeset  in the kernel command line
* please try the latest xorg-x11-drv-ati build in Koji :
http://koji.fedoraproject.org/koji/buildinfo?buildID=80819
Comment 20 Richard Guest 2009-02-08 17:45:20 EST
I've given up on compiz on radeon hardware.

Currently it's absolutely dog slow and crashes X when I resume from suspend...
Comment 21 Matěj Cepl 2009-02-08 19:03:14 EST
(In reply to comment #20)
> I've given up on compiz on radeon hardware.
> 
> Currently it's absolutely dog slow and crashes X when I resume from suspend...

DOes it mean, that we should close this bug as INSUFFICIENT_DATA?
Comment 22 Richard Guest 2009-02-08 19:10:36 EST
(In reply to comment #21)
> DOes it mean, that we should close this bug as INSUFFICIENT_DATA?

I'll leave that call up to David, as he's the original bug reporter.

I'll simply ensure that the next laptop I get has a nvidia chipset...
Comment 23 François Cami 2009-02-08 19:17:57 EST
> I'll simply ensure that the next laptop I get has a nvidia chipset...

I won't even comment on that. :)
Comment 24 David Campbell 2009-02-09 04:50:52 EST
I've given up on F10... it is too broken to use in many ways on my hardware.  Video has corruption, sound is broken, etc.  F8 was quite good, but has lost support so I'm not using it any more either.

You're welcome to close this case as INSUFFICIENT DATA.
Comment 25 Matěj Cepl 2009-02-09 05:46:22 EST
I am sorry to hear this. Hopefully we will be able to help you in any future version.

Users who have experienced this problem are encouraged to upgrade to the latest update of their distribution, and if this issue turns out to still be reproducible in the latest update, please reopen this bug with additional information.

Closing as INSUFFICIENT_DATA.
Comment 26 Samuel Sieb 2009-03-05 15:09:07 EST
This has been fixed on F10 with the latest kernel and radeon driver.  I don't know exactly when it was fixed, but now that it doesn't hang on resume, it doesn't have the random bits any more.

Note You need to log in before you can comment on or make changes to this bug.